package com.perforce.workshop.tjuricek.initializer.model;

/**
 * A file to create within the changelist. We assume the clientPath does not
 * exist.
 */
public class PerforceAdd {

    private String clientPath;
    private String resource;

    /**
     * The target path within the user's client to put the file in. Go ahead
     * and specify it using "forward" slashes relative to a root.
     */
    public String getClientPath() {
        return clientPath;
    }

    public void setClientPath(String clientPath) {
        this.clientPath = clientPath;
    }

    /**
     * The resource URL we use to fetch the data of this file.
     */
    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        PerforceAdd that = (PerforceAdd) o;

        if (clientPath != null ? !clientPath.equals(that.clientPath) : that.clientPath != null)
            return false;
        if (resource != null ? !resource.equals(that.resource) : that.resource != null)
            return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = clientPath != null ? clientPath.hashCode() : 0;
        result = 31 * result + (resource != null ? resource.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return "PerforceAdd{" +
                "clientPath='" + clientPath + '\'' +
                ", resource='" + resource + '\'' +
                '}';
    }
}
