package com.perforce.workshop.tjuricek.initializer.model;

/**
 * Indicates the file is an edit.
 */
public class PerforceEdit {

    private String clientPath;
    private String resource;

    /**
     * Unlike the add, this is a relative path from the client root that should
     * exist.
     */
    public String getClientPath() {
        return clientPath;
    }

    public void setClientPath(String clientPath) {
        this.clientPath = clientPath;
    }

    /**
     * Same as add, this is the URL we attempt to use to find the content to
     * use.
     */
    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        PerforceEdit that = (PerforceEdit) o;

        if (clientPath != null ? !clientPath.equals(that.clientPath) : that.clientPath != null)
            return false;
        if (resource != null ? !resource.equals(that.resource) : that.resource != null)
            return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = clientPath != null ? clientPath.hashCode() : 0;
        result = 31 * result + (resource != null ? resource.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return "PerforceEdit{" +
                "clientPath='" + clientPath + '\'' +
                ", resource='" + resource + '\'' +
                '}';
    }
}
